HOSTNAME(1)

NAME
hostname - den Rechnernamen anzeigen oder setzen.
domainname - den NIS/YP Domainnamen anzeigen oder setzen
dnsdomainname - den DNS Domainnamen des Systems anzeigen
nisdomainname - den NIS/YP Domainnamen anzeigen oder setzen
ypdomainname - den NIS/YP Domainnamen anzeigen oder setzen
nodename - den DECnet-Knotennamen anzeigen oder setzen

SYNOPSIS
hostname [-v] [-a] [--alias] [-d] [--domain] [-f] [--fqdn] [-i] [--ip-address] [--long] [-s] [--short] [-y] [--yp] [--nis] [-n] [--node]

hostname [-v] [-F Dateiname] [--file Dateiname] [Rechnername]

domainname [-v] [-F Dateiname] [--file Dateiname] [Name]

nodename [-v] [-F Dateiname] [--file Dateiname] [Name]

hostname [-v] [-h] [--help] [-V] [--version]

dnsdomainname [-v]
nisdomainname [-v]
ypdomainname [-v]

BESCHREIBUNG
Hostname ist das Programm, das zum Anzeigen oder setzen des aktuellen Host-, Domain-, oder Knotennamens des Systems verwendet wird. Diese Namen werden von vielen der Netzwerksprogrammen zur Identifikation der Maschine verwendet. Außerdem wird der Domainname von NIS/YP verwendet.

  NAMEN AUSLESEN
Wenn ohne Argumente augerufen, zeigen die Programme den aktuellen Namen an:

hostname zeigt den aktuellen Rechnernamen des Systems, wie von der gethostname(2) Funktion ermittelt wird, an.

domainname, nisdomainname, ypdomainname zeigen den Namen des Systems, wie er von der getdomainname(2) Funktion ermittelt wird, an. Dieser Name wird auch der YP/NIS Domainname des Systems genannt.

nodename druckt den DECnet-Knotennamen des Systems, wie er von der getnodename(2) Function ermittelt wird, aus.

dnsdomainname druckt den Domainteil des FQDN (Fully Qualified Domain Name oder zu deutsch vollständig spezifizierter Domainname) aus. Der vollständige FQDN des Systems wird von hostname --fqdn ausgegeben.

  NAME SETZEN
Wenn mit nur einem Argument oder mit der --file Option aufgerufen, dann setzen diese Kommandos den Rechnernamen, den NIS/YP Domainnamen oder den DECnet-Knotennamen.

Nur der Superuser darf den Namen ändern.

Es ist nicht mögich den FQDN oder den DNS Domainnamen mit dem dnsdomainname Befehl (Siehe Der FQDN unten) zu setzen.

Der Rechnername wird üblicherweise einmal beim Systemstart in /etc/rc.d/rc.inet1 or /etc/init.d/boot gesetzt. Der Rechnername wird dabei üblicherweise aus einer Datei die den Rechnernamen, z.B. /etc/HOSTNAME gesetzt.

  DER FQDN
Der FQDN (wie er von hostname --fqdn ausgegeben wird) oder der DNS-Domainname (wie er von dnsdomainname ausgegeben wird) kann nicht mit diesem Befehl geändert werden. Der FQDN eines Systems ist der Name, den der resolver(3) als den Namen des Systems zurückgibt.

Technisch: Der FQDN ist der Name, den gethostbyname(2) für den Rechnernamen zurückgibt, den gethostname (2) zurückgibt. Der DNS-Domainname ist der Teil nach dem ersten Punkt.

Deshalb hängt es üblicherweise von der Konfiguration in /etc/host.conf) wie der Name geändert werden kann. Üblicherweise (wenn die Hosts Datei gelesen wird, bevor auf DNS oder NIS/YP zugegriffen wird) kann er in /etc/hosts geändert werden.

OPTIONEN

-a, --alias
    Den Aliasnamen des Rechners ausgeben, falls benutzt.

-d, --domain
    Den Namen der DNS-Domain ausgeben. Der Befehl domainname kann nicht dazu verwendet werden um den Namen der DNS-Domäne auszugeben, da er den NIS Domainname und nicht den DNS Domainnamen ausgibt. Zu diesem Zweck dient der Befehl dnsdomainname.

-F, --file filename
    Den Rechnernamen aus der angegebenen Datei lesen. Zeilen, die mit einem #-Zeichen anfangen sind Kommentare und werden ignoriert.

-f, --fqdn, --long
    Den FQDN (Fully Qualified Domain Name) anzeigen. Ein FQDN besteht aus einem kurzen Rechnernamen ohne Punkt und dem DNS-Domainnamen. Außer wenn BIND oder NIS zum Auflösen von Rechnernamen verwendet wird, kann der FQDN und der DNS-Domainname, der Teil des FQDN ist, in der Datei /etc/hosts geändert werden.

-h, --help
    Kurzanleitung ausdrucken und beenden.

-i, --ip-address
    Die IP-Adresse(n) des Rechners anzeigen und beenden.

-n, --node
    Den DECnet-Knotennamen anzeigen. Wenn ein Argument oder die --file name Option angegeben wird, dann kann Root auch einen neuen Knotennamen setzen.

-s, --short
    Den Kurznamen anzeigen. Dies ist der ab dem ersten Punkt abgeschnittene Rechnername.

-V, --version
    Versionsinformation auf der Standardausgabe ausgeben und erfolgreich beenden.

-v, --verbose
    Ausführlichere Ausgaben.

-y, --yp, --nis
    Den NIS-Domainnamen anzeigen. Wenn ein Argument oder die --file name Option gegeben wird, dann kann Root auch eine neue NIS-Domain setzen.

DATEIEN
/etc/hosts

AUTOREN
Peter Tobias, <tobias@et-inf.fho-emden.de>
Bernd Eckenfels, <net-tools@lina.inka.de> (NIS and manpage).
Steve Whitehouse, <SteveW@ACM.org> (DECnet support and manpage).

Übersetzung
Ralf Bächle <ralf@gnu.org>